# Ice::UnsupportedEncodingException

## Overview

### local exception UnsupportedEncodingException extends ProtocolException

This exception indicates an unsupported data encoding version.

## Data Member Index

badMajor
  The major version number of the unsupported encoding.
badMinor
  The minor version number of the unsupported encoding.
major
  The major version number of the encoding that is supported.
minor
  The highest minor version number of the encoding that can be supported.

## Data Members

int badMajor;

  The major version number of the unsupported encoding.

int badMinor;

  The minor version number of the unsupported encoding.

int major;

  The major version number of the encoding that is supported.

int minor;

  The highest minor version number of the encoding that can be supported.